Eclipse Platform Release 3.7

## org.eclipse.osgi.signedcontent
Interface SignerInfo

    public interface SignerInfo

A `SignerInfo` object represents a single signer chain.

This interface is not intended to be implemented by clients.

Since:
  3.4
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`Certificate[]` `getCertificateChain()` Returns the certificate chain
`String` `getMessageDigestAlgorithm()` Returns the `MessageDigest` algorithm used to verify content signed by this signer info.
`Certificate` `getTrustAnchor()` Returns the certificate trust anchor used to establish authenticity.
`boolean` `isTrusted()` Returns true if the trust anchor has been authenticated.

Method Detail

### getCertificateChain

    Certificate[] getCertificateChain()

  Returns the certificate chain

  Returns:
    the certificate chain

### getTrustAnchor

    Certificate getTrustAnchor()

  Returns the certificate trust anchor used to establish authenticity. If authenticity cannot be established then `null` is returned.

  Returns:
    the trust anchor

### isTrusted

    boolean isTrusted()

  Returns true if the trust anchor has been authenticated. This is a convenience method equivalent to calling ``getTrustAnchor()` != null`

  Returns:
    true if the the signer info is trusted

### getMessageDigestAlgorithm

    String getMessageDigestAlgorithm()

  Returns the `MessageDigest` algorithm used to verify content signed by this signer info.

  Returns:
    the algorithm

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.